<?php
/**
 * Plugin Name: WPSyncSheets For Gravity Forms
 * Plugin URI: https://www.persianscript.ir
 * Description: Save all Gravity Forms entries within one google spreadsheet.
 * Version: 4.8
 * Author: پرشین اسکریپت
 * Author URI: https://www.persianscript.ir
 * Text Domain: wpssg
 * Domain Path: /languages
 * Requires at least: 5.3
 * Tested up to: 5.8
 * Requires PHP: 5.2.4
 *
 * @package     wpsyncsheets-for-gravityforms
 * @author      Creative Werk Designs
 * @category    Plugin
 * @copyright   Copyright (c) 2021 Creative Werk Designs
 */

// Plugin version.
define( 'WPSSG_VERSION', '4.8' );
// Plugin URL.
define( 'WPSSG_URL', plugin_dir_url( __FILE__ ) );
// Plugin directory.
define( 'WPSSG_DIR', plugin_dir_path( __FILE__ ) );
define( 'WPSSG_PLUGIN_SECURITY', 1 );
define( 'WPSSG_PLUGIN_ID', '22519741' );
define( 'WPSSG_PLUGIN_ITEM_ID', '1388' );
define( 'WPSSG_STORE_URL', 'https://www.wpsyncsheets.com/' );
define( 'WPSSG_PLUGIN_NAME', 'WPSyncSheets For Gravity Forms' );
define( 'WPSSG_PATH', untrailingslashit( plugin_dir_path( __FILE__ ) ) );
define( 'WPSSG_DIRECTORY', dirname( plugin_basename( __FILE__ ) ) );
define( 'WPSSG_PLUGIN_SLUG', WPSSG_DIRECTORY . '/' . basename( __FILE__ ) );
define( 'WPSSG_BASE_FILE', basename( dirname( __FILE__ ) ) . '/wpsyncsheets-for-gravityforms.php' );
define( 'WPSSG_DOCS_LINK', 'https://docs.wpsyncsheets.com/wpssg-introduction/' );
define( 'WPSSG_SUPPORT_MENU_URL', 'https://support.wpsyncsheets.com/index.php/signup' );
define( 'WPSSG_DOC_MENU_URL', 'https://docs.wpsyncsheets.com' );
/**
 * Get list of active plugins.
 *
 * @param string $plugin plugin name.
 */
function wpssg_is_gravityform_plugin_active( $plugin ) {
	return in_array( $plugin, (array) get_option( 'active_plugins', array() ), true );
}
if ( wpssg_is_gravityform_plugin_active( 'gravityforms/gravityforms.php' ) ) {
	// Add methods if Gravity Forms is active.
	add_filter( 'plugin_action_links_' . plugin_basename( __FILE__ ), 'wpssg_add_action_links' );

	/**
	 * Add plugin settings link at plugin page.
	 *
	 * @param array $links plugin related links.
	 */
	function wpssg_add_action_links( $links ) {
		$mylinks = array(
			'<a href="' . esc_url( admin_url( 'admin.php?page=wpsyncsheets-for-gravity-forms' ) ) . '">' . esc_html__( 'Settings', 'wpsse' ) . '</a>',
		);
		return array_merge( $mylinks, $links );
	}
	// Define the class and the function.
	require_once dirname( __FILE__ ) . '/src/class-wpsyncsheets-gravity-forms.php';
	wpssg();
} else {
	add_action( 'admin_notices', 'wpssg_admin_notice' );
	if ( ! function_exists( 'wpssg_admin_notice' ) ) {

		/**
		 * Add Gravity Forms plugin missing notice.
		 */
		function wpssg_admin_notice() {
			echo '<div class="notice error">
				<div class="wpssg-notice">
					<p>WPSyncSheets For Gravity Forms plugin requires <a href="' . esc_url( 'https://www.gravityforms.com/' ) . '" target= "_blank">Gravity Forms</a> plugin to be active!</p>
				</div> 
			</div>';
		}
	}
}
